package com.junmp.jyzb.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.junmp.jyzb.api.bean.dto.*;
import com.junmp.jyzb.api.bean.query.BussinessInventoryReq;
import com.junmp.jyzb.api.bean.req.*;
import com.junmp.jyzb.entity.BussinessInventory;
import com.junmp.v2.db.api.page.PageResult;

import java.util.List;


public interface BussinessInventoryService extends IService<BussinessInventory> {

    String AddInvOrder(UpdateInventoryReq req);
    ViewCountDto GetInfoByEpcs(UploadInventoryReq epcs);
    String DeleteOrder(UpdateInventoryReq req);
    BussinessInventoryDto Check(BussinessInventoryReq req);

    Boolean Start(UploadInventoryReq req);

    PageResult<BussinessInventory> GetPage(BussinessInventoryReq req);

    BussinessInventoryDto GetDetailById(BussinessInventoryReq req);

    List<BussinessDetailChildDto> GetDetailChild(DetailInvReq req);

    Boolean UploadStock(UploadInventoryReq req);
    Boolean UpdateDetail(UpdateDetailReq req);
    Boolean UseOrFinished(UploadInventoryReq req);
}
